Index: branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 2391)
+++ branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 2392)
@@ -5,12 +5,12 @@
    !!======================================================================
    !! History :  OPA  ! 1987-07  (G. Madec)  Original code
-   !!             -   ! 1993-03  (M. Guyon)  symetrical conditions (M. Guyon)
-   !!             -   ! 1996-01  (G. Madec)  suppression of common work arrays
+   !!            6.0  ! 1993-03  (M. Guyon)  symetrical conditions (M. Guyon)
+   !!            7.0  ! 1996-01  (G. Madec)  suppression of common work arrays
    !!             -   ! 1996-05  (G. Madec)  mask computed from tmask and sup-
    !!                 !                      pression of the double computation of bmask
-   !!             -   ! 1997-02  (G. Madec)  mesh information put in domhgr.F
-   !!             -   ! 1997-07  (G. Madec)  modification of mbathy and fmask
+   !!            8.0  ! 1997-02  (G. Madec)  mesh information put in domhgr.F
+   !!            8.1  ! 1997-07  (G. Madec)  modification of mbathy and fmask
    !!             -   ! 1998-05  (G. Roullet)  free surface
-   !!             -   ! 2000-03  (G. Madec)  no slip accurate
+   !!            8.2  ! 2000-03  (G. Madec)  no slip accurate
    !!             -   ! 2001-09  (J.-M. Molines)  Open boundaries
    !!   NEMO     1.0  ! 2002-08  (G. Madec)  F90: Free form and module
@@ -44,7 +44,6 @@
    !! NEMO/OPA 3.2 , LODYC-IPSL  (2009)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
    
@@ -132,5 +131,5 @@
       ENDIF
 
-      IF     (      rn_shlat == 0.               ) THEN   ;   IF(lwp) WRITE(numout,*) '   ocean lateral free-slip '
+      IF     (      rn_shlat == 0.               ) THEN   ;   IF(lwp) WRITE(numout,*) '   ocean lateral  free-slip '
       ELSEIF (      rn_shlat == 2.               ) THEN   ;   IF(lwp) WRITE(numout,*) '   ocean lateral  no-slip '
       ELSEIF ( 0. < rn_shlat .AND. rn_shlat < 2. ) THEN   ;   IF(lwp) WRITE(numout,*) '   ocean lateral  partial-slip '
@@ -308,5 +307,5 @@
       IF( cp_cfg == "orca" .AND. jp_cfg == 2 ) THEN   ! ORCA_R2 configuration
          !                                                 ! Increased lateral friction near of some straits
-         IF( n_cla == 0 ) THEN
+         IF( nn_cla == 0 ) THEN
             !                                ! Gibraltar strait  : partial slip (fmask=0.5)
             ij0 = 101   ;   ij1 = 101
@@ -322,5 +321,4 @@
             !
          ENDIF
-
          !                                ! Danish straits  : strong slip (fmask > 2)
 ! We keep this as an example but it is instable in this case 
@@ -331,51 +329,42 @@
          !
       ENDIF
-            !                                               ! =====================
-         IF( cp_cfg == "orca" .AND. jp_cfg .eq. 1 ) THEN    ! ORCA R1 configuration
-            !                                               ! =====================
-
-            ii0 = 283   ;   ii1 = 284        ! Gibraltar Strait 
-            ij0 = 200   ;   ij1 = 200   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) =  2.0  
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '             orca_r1: Gibraltar : '
-
-            ii0 = 314   ;   ii1 = 315        ! Bhosporus Strait 
-            ij0 = 208   ;   ij1 = 208   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) =  2.0  
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '             orca_r1: Bhosporus : '
-
-            ii0 =  48   ;   ii1 =  48        ! Makassar Strait (Top) 
-            ij0 = 149   ;   ij1 = 150   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) =  3.0  
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '             orca_r1: Makassar (Top) : '
-
-            ii0 =  44   ;   ii1 =  44        ! Lombok Strait 
-            ij0 = 124   ;   ij1 = 125   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) =  2.0  
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '             orca_r1: Lombok : '
-
-            ii0 =  53   ;   ii1 =  53        ! Ombai Strait 
-            ij0 = 124   ;   ij1 = 125   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) = 2.0  
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '             orca_r1: Ombai : '
-
-            ii0 =  56   ;   ii1 =  56        ! Timor Passage 
-            ij0 = 124   ;   ij1 = 125   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) = 2.0  
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '             orca_r1: '
-
-            ii0 =  58   ;   ii1 =  58        ! West Halmahera Strait 
-            ij0 = 141   ;   ij1 = 142   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) = 3.0  
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '             orca_r1: West Halmahera : '
-
-            ii0 =  55   ;   ii1 =  55        ! East Halmahera Strait 
-            ij0 = 141   ;   ij1 = 142   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) = 3.0  
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '             orca_r1: East Halmahera : '
-
-            !
-            !
-         ENDIF
+      !
+      IF( cp_cfg == "orca" .AND. jp_cfg == 1 ) THEN   ! ORCA R1 configuration
+         !                                                 ! Increased lateral friction near of some straits
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) '   orca_r1: increase friction near the following straits : '
+         IF(lwp) WRITE(numout,*) '      Gibraltar '
+         ii0 = 283   ;   ii1 = 284        ! Gibraltar Strait 
+         ij0 = 200   ;   ij1 = 200   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) =  2.0  
+
+         IF(lwp) WRITE(numout,*) '      Bhosporus '
+         ii0 = 314   ;   ii1 = 315        ! Bhosporus Strait 
+         ij0 = 208   ;   ij1 = 208   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) =  2.0  
+
+         IF(lwp) WRITE(numout,*) '      Makassar (Top) '
+         ii0 =  48   ;   ii1 =  48        ! Makassar Strait (Top) 
+         ij0 = 149   ;   ij1 = 150   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) =  3.0  
+
+         IF(lwp) WRITE(numout,*) '      Lombok '
+         ii0 =  44   ;   ii1 =  44        ! Lombok Strait 
+         ij0 = 124   ;   ij1 = 125   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) =  2.0  
+
+         IF(lwp) WRITE(numout,*) '      Ombai '
+         ii0 =  53   ;   ii1 =  53        ! Ombai Strait 
+         ij0 = 124   ;   ij1 = 125   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) = 2.0  
+
+         IF(lwp) WRITE(numout,*) '      Timor Passage '
+         ii0 =  56   ;   ii1 =  56        ! Timor Passage 
+         ij0 = 124   ;   ij1 = 125   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) = 2.0  
+
+         IF(lwp) WRITE(numout,*) '      West Halmahera '
+         ii0 =  58   ;   ii1 =  58        ! West Halmahera Strait 
+         ij0 = 141   ;   ij1 = 142   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) = 3.0  
+
+         IF(lwp) WRITE(numout,*) '      East Halmahera '
+         ii0 =  55   ;   ii1 =  55        ! East Halmahera Strait 
+         ij0 = 141   ;   ij1 = 142   ;   fmask( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1), 1:jpk ) = 3.0  
+         !
+      ENDIF
       !
       CALL lbc_lnk( fmask, 'F', 1. )      ! Lateral boundary conditions on fmask
Index: branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 2391)
+++ branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 2392)
@@ -412,6 +412,5 @@
             IF( cp_cfg == "orca" .AND. jp_cfg == 2 ) THEN    ! ORCA R2 configuration
                !                                             ! =====================
-               IF( n_cla == 0 ) THEN
-                  !
+               IF( nn_cla == 0 ) THEN
                   ii0 = 140   ;   ii1 = 140                  ! Gibraltar Strait open 
                   ij0 = 102   ;   ij1 = 102                  ! (Thomson, Ocean Modelling, 1995)
@@ -422,5 +421,5 @@
                   END DO
                   IF(lwp) WRITE(numout,*)
-                  IF(lwp) WRITE(numout,*) '             orca_r2: Gibraltar strait open at i=',ii0,' j=',ij0
+                  IF(lwp) WRITE(numout,*) '      orca_r2: Gibraltar strait open at i=',ii0,' j=',ij0
                   !
                   ii0 = 160   ;   ii1 = 160                  ! Bab el mandeb Strait open
@@ -432,6 +431,5 @@
                   END DO
                   IF(lwp) WRITE(numout,*)
-                  IF(lwp) WRITE(numout,*) '             orca_r2: Bab el Mandeb strait open at i=',ii0,' j=',ij0
-                  !
+                  IF(lwp) WRITE(numout,*) '      orca_r2: Bab el Mandeb strait open at i=',ii0,' j=',ij0
                ENDIF
                !
@@ -443,9 +441,9 @@
             CALL iom_get ( inum, jpdom_data, 'Bathymetry', bathy )
             CALL iom_close (inum)
-!                                                            ! =====================
+            !                                                ! =====================
             IF( cp_cfg == "orca" .AND. jp_cfg == 1 ) THEN    ! ORCA R1 configuration
-               ii0 = 142   ;   ii1 = 142                     ! Close Halmera Strait  
-               ij0 =  51   ;   ij1 =  53                     ! =====================
-               DO ji = mi0(ii0), mi1(ii1)
+               ii0 = 142   ;   ii1 = 142                     ! =====================
+               ij0 =  51   ;   ij1 =  53                     
+               DO ji = mi0(ii0), mi1(ii1)                    ! Close Halmera Strait
                   DO jj = mj0(ij0), mj1(ij1)
                      bathy(ji,jj) = 0.0 
@@ -453,13 +451,12 @@
                END DO
                IF(lwp) WRITE(numout,*)
-               IF(lwp) WRITE(numout,*) '             orca_r1: Halmera strait closed at i=',ii0,' j=',ij0,'->',ij1
+               IF(lwp) WRITE(numout,*) '      orca_r1: Halmera strait closed at i=',ii0,' j=',ij0,'->',ij1
             ENDIF
             !                                                ! =====================
             IF( cp_cfg == "orca" .AND. jp_cfg == 2 ) THEN    ! ORCA R2 configuration
                !                                             ! =====================
-              IF( n_cla == 0 ) THEN
-                 !
-                 ii0 = 140   ;   ii1 = 140                  ! Gibraltar Strait open 
-                 ij0 = 102   ;   ij1 = 102                  ! (Thomson, Ocean Modelling, 1995)
+              IF( nn_cla == 0 ) THEN
+                 ii0 = 140   ;   ii1 = 140                   ! Gibraltar Strait open 
+                 ij0 = 102   ;   ij1 = 102                   ! (Thomson, Ocean Modelling, 1995)
                  DO ji = mi0(ii0), mi1(ii1)
                     DO jj = mj0(ij0), mj1(ij1)
@@ -468,8 +465,8 @@
                  END DO
                  IF(lwp) WRITE(numout,*)
-                 IF(lwp) WRITE(numout,*) '             orca_r2: Gibraltar strait open at i=',ii0,' j=',ij0
+                 IF(lwp) WRITE(numout,*) '      orca_r2: Gibraltar strait open at i=',ii0,' j=',ij0
                  !
-                 ii0 = 160   ;   ii1 = 160                  ! Bab el mandeb Strait open
-                 ij0 = 88    ;   ij1 = 88                   ! (Thomson, Ocean Modelling, 1995)
+                 ii0 = 160   ;   ii1 = 160                   ! Bab el mandeb Strait open
+                 ij0 = 88    ;   ij1 = 88                    ! (Thomson, Ocean Modelling, 1995)
                  DO ji = mi0(ii0), mi1(ii1)
                     DO jj = mj0(ij0), mj1(ij1)
@@ -479,5 +476,4 @@
                  IF(lwp) WRITE(numout,*)
                  IF(lwp) WRITE(numout,*) '             orca_r2: Bab el Mandeb strait open at i=',ii0,' j=',ij0
-                 !
               ENDIF
               !
Index: branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DTA/dtasal.F90
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DTA/dtasal.F90	(revision 2391)
+++ branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DTA/dtasal.F90	(revision 2392)
@@ -4,4 +4,10 @@
    !! Ocean data  :  read ocean salinity data from monthly atlas data
    !!=====================================================================
+   !! History :  OPA  ! 1991-03  ()  Original code
+   !!             -   ! 1992-07  (M. Imbard)
+   !!            8.0  ! 1999-10  (M.A. Foujols, M. Imbard)  NetCDF FORMAT 
+   !!   NEMO     1.0  ! 2002-06  (G. Madec)  F90: Free form and module 
+   !!            3.3  ! 2010-10  (C. Bricaud, S. Masson)  use of fldread
+   !!----------------------------------------------------------------------
 #if defined key_dtasal   ||   defined key_esopa
    !!----------------------------------------------------------------------
@@ -10,5 +16,4 @@
    !!   dta_sal      : read ocean salinity data
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
@@ -23,12 +28,9 @@
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC dta_sal   ! called by step.F90 and inidta.F90
+   PUBLIC   dta_sal   ! called by step.F90 and inidta.F90
    
-   !! * Shared module variables
    LOGICAL , PUBLIC, PARAMETER ::   lk_dtasal = .TRUE.    !: salinity data flag
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   s_dta    !: salinity data at given time-step
 
-   !! * Module variables
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_sal       ! structure of input SST (file informations, fields read)
 
@@ -38,12 +40,7 @@
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
-
-   !!----------------------------------------------------------------------
-   !!   Default option:                                         NetCDF file
-   !!----------------------------------------------------------------------
 
    SUBROUTINE dta_sal( kt )
@@ -54,15 +51,10 @@
       !!             
       !! ** Method  : - Read on unit numsdt the monthly salinity data interpo-
-      !!     lated onto the model grid.
+      !!                lated onto the model grid.
       !!              - At each time step, a linear interpolation is applied
-      !!     between two monthly values.
-      !!
-      !! History :
-      !!        !  91-03  ()  Original code
-      !!        !  92-07  (M. Imbard)
-      !!   9.0  !  02-06  (G. Madec)  F90: Free form and module 
+      !!                between two monthly values.
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt             ! ocean time step
-      
+      !
       INTEGER ::   ji, jj, jk, jl, jkk            ! dummy loop indicies
       INTEGER ::   ik, ierror                     ! temporary integers
@@ -71,5 +63,4 @@
 #endif
       REAL(wp)::   zl
-      
 #if defined key_orca_lev10
       INTEGER ::   ikr, ikw, ikt, jjk 
@@ -80,6 +71,7 @@
       TYPE(FLD_N)              :: sn_sal
       LOGICAL , SAVE           :: linit_sal = .FALSE.
+      !!
+      NAMELIST/namdta_sal/   cn_dir, sn_sal
       !!----------------------------------------------------------------------
-      NAMELIST/namdta_sal/cn_dir,sn_sal
      
       ! 1. Initialization
@@ -91,9 +83,9 @@
          cn_dir = './'             ! directory in which the model is executed
          ! ... default values (NB: frequency positive => hours, negative => months)
-         !            !   file    ! frequency !  variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation   !
-         !            !   name    !  (hours)  !   name     !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs      !
-         sn_sal = FLD_N( 'salinity',  -1.  ,  'vosaline',  .false.   , .true.  ,  'monthly'  , ''       , ''         )
-
-         REWIND ( numnam )         ! ... read in namlist namdta_sal 
+         !            !   file    ! frequency ! variable ! time intep !  clim   ! 'yearly' or ! weights  ! rotation   !
+         !            !   name    !  (hours)  !  name    !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs      !
+         sn_sal = FLD_N( 'salinity',  -1.     ,'vosaline',  .false.   , .true.  ,  'monthly'  , ''       , ''         )
+
+         REWIND ( numnam )         ! read in namlist namdta_sal 
          READ( numnam, namdta_sal ) 
 
@@ -115,5 +107,5 @@
          IF( sn_sal%ln_tint )   ALLOCATE( sf_sal(1)%fdta(jpi,jpj,jpk,2) )
 #endif
-         ! fill sf_sal with sn_sal and control print
+         !                         ! fill sf_sal with sn_sal and control print
          CALL fld_fill( sf_sal, (/ sn_sal /), cn_dir, 'dta_sal', 'Salinity data', 'namdta_sal' )
          linit_sal = .TRUE.        
@@ -132,9 +124,6 @@
 
 #if defined key_tradmp
-      IF( cp_cfg == "orca"  .AND. jp_cfg == 2 ) THEN
-   
-         !                                        ! =======================
-         !                                        !  ORCA_R2 configuration
-         !                                        ! =======================
+      IF( cp_cfg == "orca"  .AND. jp_cfg == 2 ) THEN     !  ORCA_R2 configuration
+         !
          ij0 = 101   ;   ij1 = 109
          ii0 = 141   ;   ii1 = 155   
@@ -147,6 +136,6 @@
             END DO
          END DO
-
-         IF( n_cla == 1 ) THEN 
+         !
+         IF( nn_cla == 1 ) THEN 
             !                                         ! New salinity profile at Gibraltar
             il0 = 138   ;   il1 = 138   
@@ -230,5 +219,5 @@
          !                                  ! Mask
          s_dta(:,:,:) = s_dta(:,:,:) * tmask(:,:,:)
-         s_dta(:,:,jpk) = 0. 
+         s_dta(:,:,jpk) = 0.e0
          IF( ln_zps ) THEN               ! z-coord. partial steps
             DO jj = 1, jpj               ! interpolation of salinity at the last ocean level (i.e. the partial step)
@@ -254,5 +243,5 @@
          CALL prihre(s_dta(:,:,jpkm1),jpi,jpj,1,jpi,20,1,jpj,20,1.,numout)
       ENDIF
-
+      !
    END SUBROUTINE dta_sal
 
Index: branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DTA/dtatem.F90
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DTA/dtatem.F90	(revision 2391)
+++ branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DTA/dtatem.F90	(revision 2392)
@@ -4,4 +4,10 @@
    !! Ocean data  :  read ocean temperature data from monthly atlas data
    !!=====================================================================
+   !! History :  OPA  ! 1991-03  ()  Original code
+   !!             -   ! 1992-07  (M. Imbard)
+   !!            8.0  ! 1999-10  (M.A. Foujols, M. Imbard)  NetCDF FORMAT 
+   !!   NEMO     1.0  ! 2002-06  (G. Madec)  F90: Free form and module 
+   !!            3.3  ! 2010-10  (C. Bricaud, S. Masson)  use of fldread
+   !!----------------------------------------------------------------------
 #if defined key_dtatem   ||   defined key_esopa
    !!----------------------------------------------------------------------
@@ -10,5 +16,4 @@
    !!   dta_tem      : read ocean temperature data
    !!---l-------------------------------------------------------------------
-   !! * Modules used
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
@@ -22,12 +27,9 @@
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC dta_tem   ! called by step.F90 and inidta.F90
-
-   !! * Shared module variables
+   PUBLIC   dta_tem    ! called by step.F90 and inidta.F90
+
    LOGICAL , PUBLIC, PARAMETER ::   lk_dtatem = .TRUE.   !: temperature data flag
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::  t_dta    !: temperature data at given time-step
 
-   !! * Module variables
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_tem      ! structure of input SST (file informations, fields read)
 
@@ -37,12 +39,7 @@
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
-
-   !!----------------------------------------------------------------------
-   !!   Default case                                            NetCDF file
-   !!----------------------------------------------------------------------
 
    SUBROUTINE dta_tem( kt )
@@ -62,13 +59,7 @@
       !!
       !! ** Action  :   define t_dta array at time-step kt
-      !!
-      !! History :
-      !!        !  91-03  ()  Original code
-      !!        !  92-07  (M. Imbard)
-      !!        !  99-10  (M.A. Foujols, M. Imbard)  NetCDF FORMAT 
-      !!   8.5  !  02-09  (G. Madec)  F90: Free form and module
       !!----------------------------------------------------------------------
       INTEGER, INTENT( in ) ::   kt     ! ocean time-step
-
+      !
       INTEGER ::   ji, jj, jk, jl, jkk            ! dummy loop indicies
       INTEGER ::   ik, ierror                     ! temporary integers
@@ -85,6 +76,7 @@
       TYPE(FLD_N)              ::   sn_tem
       LOGICAL , SAVE           ::   linit_tem = .FALSE.
+      !!
+      NAMELIST/namdta_tem/   cn_dir, sn_tem
       !!----------------------------------------------------------------------
-      NAMELIST/namdta_tem/cn_dir,sn_tem
  
       ! 1. Initialization 
@@ -96,9 +88,9 @@
          cn_dir = './'       ! directory in which the model is executed
          ! ... default values (NB: frequency positive => hours, negative => months)
-         !            !   file    ! frequency !  variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation   !
-         !            !   name    !  (hours)  !   name     !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs      !
-         sn_tem = FLD_N( 'temperature',  -1.  ,  'votemper',  .false.   , .true.  ,  'yearly'  , ''       , ''         )
-
-         REWIND( numnam )         ! ... read in namlist namdta_tem 
+         !            !   file    ! frequency ! variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation !
+         !            !   name    !  (hours)  !  name     !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs    !
+         sn_tem = FLD_N( 'temperature',  -1.  , 'votemper',  .false.   , .true.  ,  'yearly'   , ''       , ''       )
+
+         REWIND( numnam )          ! read in namlist namdta_tem 
          READ( numnam, namdta_tem ) 
 
@@ -120,5 +112,5 @@
          IF( sn_tem%ln_tint )   ALLOCATE( sf_tem(1)%fdta(jpi,jpj,jpk,2) )
 #endif
-         ! fill sf_tem with sn_tem and control print
+         !                         ! fill sf_tem with sn_tem and control print
          CALL fld_fill( sf_tem, (/ sn_tem /), cn_dir, 'dta_tem', 'Temperature data', 'namdta_tem' )
          linit_tem = .TRUE.
@@ -138,8 +130,6 @@
          
 #if defined key_tradmp
-      IF( cp_cfg == "orca" .AND. jp_cfg == 2 ) THEN
-         !                                        ! =======================
-         !                                        !  ORCA_R2 configuration
-         !                                        ! ======================= 
+      IF( cp_cfg == "orca" .AND. jp_cfg == 2 ) THEN      !  ORCA_R2 configuration
+         !
          ij0 = 101   ;   ij1 = 109
          ii0 = 141   ;   ii1 = 155
@@ -151,6 +141,6 @@
             END DO
          END DO
-            
-         IF( n_cla == 1 ) THEN 
+         !
+         IF( nn_cla == 1 ) THEN 
             !                                         ! New temperature profile at Gibraltar
             il0 = 138   ;   il1 = 138
@@ -175,5 +165,4 @@
                END DO
             END DO
-            !
          ELSE
             !                                         ! Reduced temperature at Red Sea
@@ -251,21 +240,21 @@
                      t_dta(ji,jj,ik) = (1.-zl) * t_dta(ji,jj,ik) + zl * t_dta(ji,jj,ik-1)
                   ENDIF
-            END DO
-         END DO
-      ENDIF
-
-   ENDIF
-         
-   IF( lwp .AND. kt == nit000 ) THEN
-      WRITE(numout,*) ' temperature Levitus '
-      WRITE(numout,*)
-      WRITE(numout,*)'  level = 1'
-      CALL prihre( t_dta(:,:,1    ), jpi, jpj, 1, jpi, 20, 1, jpj, 20, 1., numout )
-      WRITE(numout,*)'  level = ', jpk/2
-      CALL prihre( t_dta(:,:,jpk/2), jpi, jpj, 1, jpi, 20, 1, jpj, 20, 1., numout )
-      WRITE(numout,*)'  level = ', jpkm1
-      CALL prihre( t_dta(:,:,jpkm1), jpi, jpj, 1, jpi, 20, 1, jpj, 20, 1., numout )
-   ENDIF
-
+               END DO
+            END DO
+         ENDIF
+         !
+      ENDIF
+         
+      IF( lwp .AND. kt == nit000 ) THEN
+         WRITE(numout,*) ' temperature Levitus '
+         WRITE(numout,*)
+         WRITE(numout,*)'  level = 1'
+         CALL prihre( t_dta(:,:,1    ), jpi, jpj, 1, jpi, 20, 1, jpj, 20, 1., numout )
+         WRITE(numout,*)'  level = ', jpk/2
+         CALL prihre( t_dta(:,:,jpk/2), jpi, jpj, 1, jpi, 20, 1, jpj, 20, 1., numout )
+         WRITE(numout,*)'  level = ', jpkm1
+         CALL prihre( t_dta(:,:,jpkm1), jpi, jpj, 1, jpi, 20, 1, jpj, 20, 1., numout )
+      ENDIF
+      !
    END SUBROUTINE dta_tem
 
